| Home | Libraries | People | FAQ | More

## Struct default_user_allocator_malloc_free

boost::default_user_allocator_malloc_free — UserAllocator used as template parameter for pool and object_pool. Uses malloc and free internally.

## Synopsis

    // In header: <boost/pool/pool.hpp>

    struct default_user_allocator_malloc_free {
      // types
      typedef std::size_t    size_type;        // An unsigned integral type that can represent the size of the largest object to be allocated.
      typedef std::ptrdiff_t difference_type;  // A signed integral type that can represent the difference of any two pointers.

      // public static functions
      static char * malloc(const size_type);
      static void free(char *const);
    };

## Description

### `default_user_allocator_malloc_free` public static functions

1.     static char * malloc(const size_type bytes);

2.     static void free(char *const block);